'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactUikitBase = require('react-uikit-base');

var _reactUikitBadge = require('react-uikit-badge');

var _reactUikitBadge2 = _interopRequireDefault(_reactUikitBadge);

var _ufunc = require('ufunc');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Note = function Note(props) {
  // CSS classes
  var cssClassNames = _reactUikitBase.helpers.cleanClasses([props.classes, props.className]);

  // Remove non valid html attributes
  var ignoreProps = ['badge', 'body', 'children', 'classes', 'kitid'];

  var cleanProps = _reactUikitBase.helpers.cleanProps(ignoreProps)(props);

  // Elements
  var badge = (0, _ufunc.either)(_react2.default.createElement(
    _reactUikitBadge2.default,
    null,
    props.badge
  ), _react2.default.createElement(
    _reactUikitBadge2.default,
    { kitid: 'badge-' + props.kitid, context: props.badge ? props.badge.context : null },
    props.badge ? props.badge.body : 'Note'
  ))(typeof props.badge === 'string');

  // Return Component
  return _react2.default.createElement(
    'p',
    _extends({}, cleanProps, (0, _reactUikitBase.events)(props), {
      className: cssClassNames,
      'data-kitid': props.kitid
    }),
    badge,
    ' ',
    props.body,
    ' ',
    props.children
  );
};

Note.propTypes = {
  badge: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.object]),
  body: _react2.default.PropTypes.string,
  children: _react2.default.PropTypes.any,
  className: _react2.default.PropTypes.string,
  classes: _react2.default.PropTypes.array,
  kitid: _react2.default.PropTypes.string
};

exports.default = (0, _reactUikitBase.base)(Note);